/* The Last Ninja Remixed
 *  
 * Copyright (C) 2008-2009 Robert Crossfield
 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * 
 * $Id: hud.h 12 2009-04-10 04:08:13Z segra $
 * 
 */


namespace NinjaRemixed {

	class hud : public graphicImage, public engineObject {
	private:
		word				 _lifePlayerDrawn,  _lifeEnemyDrawn;
		graphicImage		*_lifePlayerImage, *_lifeEnemyImage;

	public:

							 hud(engine *Engine);
							~hud();

		bool				 cycle();

		void				 enemyhealthUpdate( word life );								// Update Enemy Health
		void				 playerHealthUpdate( word life );								// Update Player Health Bar
		void				 reset();														// Reset all variables
		void				 roomChange();

	};

}