/* The Last Ninja Remixed
 *  
 * Copyright (C) 2008-2009 Robert Crossfield
 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * 
 * $Id: healthEnemy.cpp 12 2009-04-10 04:08:13Z segra $
 * 
 */

#include "stdafx.h"

namespace NinjaRemixed {

	healthEnemyBar::healthEnemyBar(word life) : graphicImageSmall(16,9, 0, 0) {
		byte		*healthPtr  = _Resources->_game + 0x8116;
		word		 Pos		= life;

		if(Pos < 0)
			Pos = 0;
		if(Pos > 0x35)
			Pos = 0x35;

		// Calculate screen position
		_X		= 0xFE + (life- 1);
		_Y		= 0x15;
		_count	= 0x05;
		
		// Why is this 16??  In the original we drew 4 bytes per row, multipled by the value in D6.. which is always 0 for health
		//
		// Theres 8 bits per byte... 32 pixels per row
		_count *= 16;
		
		paletteLoad(  _Resources->_game + 0xA3A4 );
		load( healthPtr, _count );
	}

}
