/* The Last Ninja Remixed
 *  
 * Copyright (C) 2008-2009 Robert Crossfield
 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * 
 * $Id: healthPlayer.cpp 12 2009-04-10 04:08:13Z segra $
 * 
 */

#include "stdafx.h"

namespace NinjaRemixed {

	healthPlayerBar::healthPlayerBar(word life) : graphicImageSmall(16,9, 0, 0) {
		byte		*healthPtr = _Resources->_game + 0xA484;

		word		 Pos = life;
		word		 Pos2;

		if(Pos < 0)
			Pos = 0;
		if(Pos > 0x21)
			Pos = 0x21;

		Pos += Pos;

		Pos2 = Pos;
		Pos2 += Pos;
		Pos2 += Pos;

		_X = *((healthPtr + Pos2) + 4) ;
		_Y = *((healthPtr + Pos2) + 5) ;
		_count = readWord( (healthPtr + Pos2) + 2 ) + 1;
		
		// Why is this 16??  In the original we drew 4 bytes per row, multipled by the value in D6.. which is always 0 for health
		//
		// Theres 8 bits per byte... 32 pixels per row
		_count *= 16;

		_offset = healthPtr + readWord( (healthPtr + Pos2) );
		
		paletteLoad(  _Resources->_game + 0xA3A4 );
		load( _offset, _count  );
		
	}

}
