/* The Last Ninja Remixed
 *  
 * Copyright (C) 2008-2009 Robert Crossfield
 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * 
 * $Id: stdafx.cpp 13 2009-04-10 05:02:33Z segra $
 * 
 */

#include "stdafx.h"


using namespace NinjaRemixed;


size_t scaleLevel = 2;

int	main( int argc, char *argv[] ) {
	engine *Engine = 0;
	size_t  startLevelNumber = 1;

	if(argc > 1)
		startLevelNumber = atoi(argv[1]);

	Engine = new engine(startLevelNumber);

	Engine->main();

	return 0;
}

word	readWord( const void *buffer ) {
	const byte *byteNext = (const byte *) buffer;
	return (byteNext[0] << 8) + byteNext[1];
}

dword	readDWord( const void *buffer ) {
	const byte *dwordNext = (const byte *) buffer;
    return (dwordNext[0] << 24) + (dwordNext[1] << 16) + (dwordNext[2] << 8) + (dwordNext[3]);
}

dword	swapDWord( dword buffer ) {
	const word *DW = (word*) &buffer;

	return (DW[0] << 16) + (DW[1]);
}

word	reverseWord( word	bits ) {
	word	bitsReversed = 0;

	for( byte count = 0; count < 16; count++ ) {

		if( bits & 1 )
			bitsReversed += 1;

		if(count == 15)
			break;

		bits		 >>= 1;
		bitsReversed <<= 1;
	}

	return bitsReversed;
}
